Support » Theme: GeneratePress » Is GP fully PHP 7.3 compatible?

  • Resolved yellofish

    (@yellofish)


    Is the latest GeneratePress on WP 5.0.3 fully PHP 7.3 compatible?

    I’m on a shared host and when I switch cPanel to 7.3 (or any 7.* for that matter) I get white page errors. I presume GP is fully compatible. Just want to make sure.

    I am running out of ideas where the error could be. I am getting:

    Your PHP installation appears to be missing the MySQL extension which is required by WordPress.

    But all the PHP sql related packages are installed in PHP.

    • This topic was modified 10 months, 2 weeks ago by yellofish.

    The page I need help with: [log in to see the link]

Viewing 4 replies - 1 through 4 (of 4 total)
  • Theme Author Tom

    (@edge22)

    Hi there,

    Yes – GP is fully compatible with PHP 7.

    That’s an error I would check with your hosting support about.

    Found the culprit, it was a bad plugin. I used the “PHP 7 Compatibility Checker” plugin. It give lots of false flags (hence it’s poor rated) but new plugins with red flags are usually false flags.

    After removal of the bad plugin PHP 7.2 works. 7.3 still doesn’t work. But never mind.

    Anyway, GeneratePress is great. I was pretty sure it wasn’t them anyway.

    Theme Author Tom

    (@edge22)

    Glad you found the issue 🙂

    @yellofish make sure nd_mysqli PHP extension is activated once you upgrade to PHP 7.3 http://prntscr.com/mgk61h. That might solve your error.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Is GP fully PHP 7.3 compatible?’ is closed to new replies.